### Method

# Gtk FilterListModel set_incremental

#### Declaration [src]

    void
    gtk_filter_list_model_set_incremental (
      GtkFilterListModel* self,
      gboolean incremental
    )

#### Description [src]

Sets the filter model to do an incremental sort.

When incremental filtering is enabled, the `GtkFilterListModel` will not run filters immediately, but will instead queue an idle handler that incrementally filters the items and adds them to the list. This of course means that items are not instantly added to the list, but only appear incrementally.

When your filter blocks the UI while filtering, you might consider turning this on. Depending on your model and filters, this may become interesting around 10,000 to 100,000 items.

By default, incremental filtering is disabled.

See `gtk_filter_list_model_get_pending()` for progress information about an ongoing incremental filtering operation.

Sets property | `Gtk.FilterListModel:incremental`

#### Parameters

`incremental`

  Type: `gboolean`

  `TRUE` to enable incremental filtering.